PETSc version 3.15.5
Fix/Edit manual page

# MatHasCongruentLayouts

Determines whether the rows and columns layouts of the matrix are congruent

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatHasCongruentLayouts(Mat mat,PetscBool *cong)

Collective on mat

### Input Parameters

| mat | - the matrix

### Output Parameter

| cong | - either PETSC_TRUE or PETSC_FALSE

### Notes

### See Also

MatCreate(), MatSetSizes()

### Level

beginner

### Location

src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages